Subject: Re: bug#32599: 25.2; Feature request: input PUA characters by name

From: Janusz S. Bień <[email-masked]>
Date: Tue, 26 Apr 2022 17:33:37 +0200

On Tue, Apr 26 2022 at 15:45 +02, Lars Ingebrigtsen wrote:
> Janusz S. Bień <[email-masked]> writes:
>
>>> (unless ucs-names
>>>   (ucs-names))
>>> (setf (gethash "LATIN ABBREVIATION SIGN SMALL DE" ucs-names) #xF159)
>>
>> Debugger entered--Lisp error: (wrong-type-argument hash-table-p nil)
>>   puthash("LATIN ABBREVIATION SIGN SMALL DE" 61785 nil)
>
> Did you eval the `unless' form first?

I thought I did but I used the wrong command :-(

Thank you very much for your solution.

So yes, my original problem is solved and you can close the bug report.

This is however not the end of the story. I would like describe-char to
produce the correct name of the PUA character instead of "the
character’s canonical name and other properties defined by the Unicode
Data Base;". I understand this should posted as a separate feature
request.

Best regards

Janusz

-- 
             ,   
Janusz S. Bien
emeryt (emeritus)
https://sites.google.com/view/jsbien